import * as base from '@jupyter-widgets/base';
import { RenderMime } from '@jupyterlab/rendermime';
export declare class HTMLManager extends base.ManagerBase<HTMLElement> {
    /**
     * Display the specified view. Element where the view is displayed
     * is specified in the `options.el` argument.
     */
    display_view(msg: any, view: any, options: any): Promise<any>;
    /**
     * Placeholder implementation for _get_comm_info.
     */
    _get_comm_info(): Promise<{}>;
    /**
     * Placeholder implementation for _create_comm.
     */
    _create_comm(): Promise<{
        on_close: () => void;
        on_msg: () => void;
        close: () => void;
    }>;
    /**
     * Load a class and return a promise to the loaded object.
     */
    protected loadClass(className: string, moduleName: string, moduleVersion: string): Promise<any>;
    /**
     * Renderers for contents of the output widgets
     *
     * Defines how outputs in the output widget should be rendered.
     */
    renderMime: RenderMime;
}
